%{?scl:%scl_package nodejs-wrappy}
%{!?scl:%global pkg_name %{name}}

%global enable_tests 1

Name:           %{?scl_prefix}nodejs-wrappy
Version:        1.0.1
Release:        3%{?dist}
Summary:        Callback wrapping utility
License:        ISC
Group:          Development
Url:            https://github.com/npm/wrappy
Source:         http://registry.npmjs.org/wrappy/-/wrappy-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

%{?nodejs_find_provides_and_requires}

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Callback wrapping utility

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/wrappy
cp -pr package.json wrappy.js \
        %{buildroot}%{nodejs_sitelib}/wrappy/

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/wrappy

%changelog
* Fri Apr 10 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.1-3
- Added missing macros, %%license and %%check section
- changed Group and ExclusiveArch
- fixed nodejs-packaging dependency
- removed BuildRoot and %%defattr

* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.1-2
-  Remove undefined macro

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.1-1
- Initial build

